Name: phpwapmail
Summary: WAP-based e-mail client
Version: 0.9.2
Release: 1%{?dist}
Group: Applications/Internet
License: GPLv2+
URL: http://phpwapmail.sourceforge.net
Source: http://dl.sourceforge.net/sourceforge/phpwapmail/phpwapmail-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Requires: httpd, php-imap


%description
phpWAPmail is a WAP-based e-mail client. It is intended for providing access
to e-mail servers from cellular phones using WAP browser.

phpWAPmail is written in PHP and uses standard PHP imap module to operate
with mailboxes. It is placed on a web-server and acts as a proxy between
cellular users and mail servers. This way it can provide faster access
to the mailboxes rather than built-in e-mail clients and less network traffic.

Edit %{_sysconfdir}/httpd/conf.d/%{name}.conf to allow access
by remote IP addresses. Edit %{_sysconfdir}/%{name}/config.php
to change some default settings.


%prep
%setup -q -n %{name}-%{version}


%build


%install
rm -rf $RPM_BUILD_ROOT

install -d -m755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -a * $RPM_BUILD_ROOT%{_datadir}/%{name}


pushd $RPM_BUILD_ROOT%{_datadir}/%{name}
rm -rf lang/ COPYING README
find locale -name "*.po" -print0 | xargs -0 rm -f
popd


install -d -m755 $RPM_BUILD_ROOT%{_sysconfdir}/%{name}

mv $RPM_BUILD_ROOT%{_datadir}/%{name}/config.php \
        $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
ln -s ../../..%{_sysconfdir}/%{name}/config.php \
        $RPM_BUILD_ROOT%{_datadir}/%{name}/config.php

cat <<EOF >%{name}.conf
#
#  %{summary}
#

Alias /%{name} %{_datadir}/%{name}

<Directory %{_datadir}/%{name}>
  Order Deny,Allow
  Deny from all
  Allow from 127.0.0.1
</Directory>

EOF

install -d $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
install -m644 %{name}.conf $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d


%clean
rm -rf $RPM_BUILD_ROOT


%post
if [ $1 -eq 1 ]; then
    set @@@ `dd bs=12 count=1 </dev/urandom 2>/dev/null | base64`
    sed -i -e '/$SECRET = "";/ s|"";|"'$2'";  # Autogenerated for '`uname -n`'|'  %{_sysconfdir}/%{name}/config.php
fi


%files
%defattr(-,root,root,-)
%config %dir %{_sysconfdir}/%{name}
%attr(640,root,apache) %config(noreplace) %{_sysconfdir}/%{name}/*.php
%config(noreplace) %{_sysconfdir}/httpd/conf.d/*.conf
%{_datadir}/%{name}
%doc README COPYING


%changelog
* Mon Dec 10 2007 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.9.2-1
- spec file cleanup
- accepted for Fedora (review by Jon Ciesla <limb@jcomserv.net>, #402821)

* Wed Nov 28 2007 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.9.2-0
- initial release

